Package org.eclipse.m2m.atl.adt.ui

# Class AtlUIPlugin

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.m2m.atl.adt.ui.AtlUIPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class AtlUIPlugin extends org.eclipse.ui.plugin.AbstractUIPlugin
The main plugin class to be used in the desktop.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`
The plugin id.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AtlUIPlugin()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`static AtlUIPlugin`
`getDefault()`
Returns the shared instance.
`static org.eclipse.swt.graphics.Image`
`getImage(String path)`
Looks for an image in the icons folder.
`static org.eclipse.jface.resource.ImageDescriptor`
`getImageDescriptor(String name)`
Returns the image descriptor with the given relative path.
`ResourceBundle`
`getResourceBundle()`
Returns the plugin's resource bundle.
`static String`
`getResourceString(String key)`
Returns the string from the plugin's resource bundle, or 'key' if not found.

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID
The plugin id.

See Also:
  - Constant Field Values

## Constructor Details

### AtlUIPlugin

public AtlUIPlugin()
The constructor.

## Method Details

### getDefault

public static AtlUIPlugin getDefault()
Returns the shared instance.

Returns:
  the shared instance

### getResourceString

public static String getResourceString(String key)
Returns the string from the plugin's resource bundle, or 'key' if not found.

Parameters:
  `key` - the default value
Returns:
  the string from the plugin's resource bundle, or 'key' if not found

### getResourceBundle

public ResourceBundle getResourceBundle()
Returns the plugin's resource bundle.

Returns:
  the plugin's resource bundle

### getImage

public static org.eclipse.swt.graphics.Image getImage(String path)
Looks for an image in the icons folder.

Parameters:
  `path` - the image path
Returns:
  the searched Image

### getImageDescriptor

public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(String name)
Returns the image descriptor with the given relative path.

Parameters:
  `name` - the image name
Returns:
  the image descriptor